var waitingSkin=waitingSkin||{};
waitingSkin.WaitingSkin=function(){
	var s = this;
	F2xContainer.call(s);
	s.initUI();
};
F2xExtend(waitingSkin.WaitingSkin,F2xContainer);
waitingSkin.WaitingSkin.prototype.initUI=function(){
	var s = this;
	//f2x_auto_created_init_start
	var _d2=Flash2x.t(0,decodeURI("%E5%8A%A0%E8%BD%BD%E4%B8%AD"),26,"#FFFFFF","Microsoft YaHei",0,0,156,34.3,36.3,"center",false,false,"multiline",false);
	_d2.name="msgTxt";
	s.msgTxt=_d2;
	Flash2x.d(_d2,{x:242,y:555.4});
	var _d1=new waitingSkin.progress();
	Flash2x.d(_d1,{x:292,y:487});
	var _d0=Flash2x.b("waitingSkin","bg");
	Flash2x.d(_d0,{x:240,y:425});
	s.addChild(_d0);
	s.addChild(_d1);
	s.addChild(_d2);
	//f2x_auto_created_init_end
	
};
